Result (estraier)
Keywords: estraier.Result class

Overview | Package | Class | Tree | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## estraier
Class Result

    java.lang.Object
      estraier.Result

public class Result
extends java.lang.Object

Abstraction of result set from database.

Method Summary
`int` | `doc_num()` Get the number of documents.
`protected void` | `finalize()` Release resources.
`int` | `get_dbidx(int index)` Get the index of the container database of a document.
`int` | `get_doc_id(int index)` Get the ID number of a document.
`int` | `get_score(int index)` Get the score of a document.
`int[]` | `get_shadows(int id)` Get an array of ID numbers of eclipsed docuemnts of a document.
`java.util.List` | `hint_words()` Get a list of hint words.
`int` | `hint(java.lang.String word)` Get the value of a hint word.

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### doc_num

    public int doc_num()

  Get the number of documents.

  Returns:
    the number of documents in the result.

### finalize

    protected void finalize()

  Release resources.

### get_dbidx

    public int get_dbidx(int index)

  Get the index of the container database of a document.

  Parameters:
    `index` - the index of a document.
  Returns:
    the index of the container database of the document or -1 if the index is out of bounds.

### get_doc_id

    public int get_doc_id(int index)

  Get the ID number of a document.

  Parameters:
    `index` - the index of a document.
  Returns:
    the ID number of the document or -1 if the index is out of bounds.

### get_score

    public int get_score(int index)

  Get the score of a document.

  Parameters:
    `index` - the index of a document.
  Returns:
    the score of the document or -1 if the index is out of bounds.

### get_shadows

    public int[] get_shadows(int id)

  Get an array of ID numbers of eclipsed docuemnts of a document.

  Parameters:
    `id` - the ID number of a parent document.
  Returns:
    an array whose elements expresse the ID numbers and their scores alternately.

### hint_words

    public java.util.List hint_words()

  Get a list of hint words.

  Returns:
    a list of hint words.

### hint

    public int hint(java.lang.String word)

  Get the value of a hint word.

  Parameters:
    `word` - a hint word. An empty string means the number of whole result.
  Returns:
    the number of documents corresponding the hint word. If the word is in a negative condition, the value is negative.

Overview | Package | Class | Tree | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD